Subject: bug#65884: closed (Re: bug#65884: 29.1; prettify-symbols-unprettify-at-point documentation)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 13 Sep 2023 20:47:02 +0000

Your bug report

#65884: 29.1; prettify-symbols-unprettify-at-point documentation

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
65884: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=65884
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#65884: 29.1; prettify-symbols-unprettify-at-point documentation
From: Stefan Kangas <[email-masked]>
To: Peter Mao <[email-masked]>
Cc: [email-masked]
Date: Wed, 13 Sep 2023 13:45:47 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

Version: 29.2

Peter Mao <[email-masked]> writes:

> I just learned about prettify-symbols mode and prettify-symbols-unprettify-at-point from Tony Zorman's recent blog post, so I tried it out, unsuccessfully
> at first...
>
> Recipe from emacs -Q:
>
> In the *scratch* buffer:
> M-x prettify-symbols-mode
> (setq prettify-symbols-unprettify-at-point t)
> C-x C-e ;; to evaluate the setq
> lambda  ;; the symbol λ appears
> C-b
>
> At this point, I'm expecting the symbol λ to deprettify back to
> "lambda", but it does not.
>
> Looking in the code in prog-mode.el, I see that the unprettification
> needs to be set **before** the minor mode is activated in the buffer.
> Perhaps this should be pointed out in the documentation?

Thanks, I've now documented this on emacs-29.

Subject: 29.1; prettify-symbols-unprettify-at-point documentation
From: Peter Mao <[email-masked]>
To: [email-masked]
Date: Mon, 11 Sep 2023 21:20:25 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

I just learned about prettify-symbols mode and
prettify-symbols-unprettify-at-point from Tony Zorman's recent blog post,
so I tried it out, unsuccessfully at first...

Recipe from emacs -Q:

In the *scratch* buffer:
M-x prettify-symbols-mode
(setq prettify-symbols-unprettify-at-point t)
C-x C-e ;; to evaluate the setq
lambda  ;; the symbol λ appears
C-b

At this point, I'm expecting the symbol λ to deprettify back to
"lambda", but it does not.

Looking in the code in prog-mode.el, I see that the unprettification
needs to be set **before** the minor mode is activated in the buffer.
Perhaps this should be pointed out in the documentation?